# Created combined label document

Products
            Plans
          
        
        
          
            
              
              Formerly ShipEngine
            
            
              Free
              Advanced
              Enterprise
            
          
          
            
              
            
            
              Free
              Starter
              Standard
              Premium
            
          
        
      
      
        
          Learn about products and plans
          
        
      
    

Download a combined label file

Endpoint: POST /v2/documents/combined_labels
Version: 2.0.0
Security: api_keys

## Request fields (application/json):

  - `label_ids` (array)
    The list of up to 30 label ids to include in the combined label document.
Note that to avoid response size limits, you should only expect to be able to combine 30 single page labels similar in size to that of USPS labels.
    Example: ["se-28529731"]

  - `label_format` (string)
    The file format for the combined label document; note that currently only "pdf" is supported.
    Enum: "pdf"

  - `label_download_type` (string)
    There are two different ways to [download a label]:

|Label Download Type | Description
|--------------------|------------------------------
|url               |You will receive a URL, which you can use to download the label in a separate request. The URL will remain valid for 90 days.This is the default if label_download_type is unspecified.
|inline            |You will receive the Base64-encoded label as part of the response. No need for a second request to download the label.
    Enum: "url", "inline"

## Response 200 fields (application/json):

  - `label_download` (object)
    The download for the combined label document

  - `label_download.href` (string)
    The URL of the linked resource, if any
    Example: "https://example.com/resource"

  - `label_download.pdf` (string)
    The URL for the pdf generated label
    Example: "https://example.com/resource"

  - `label_download.png` (string)
    The URL for the png generated label
    Example: "https://example.com/resource"

  - `label_download.zpl` (string)
    The URL for the zpl generated label
    Example: "https://example.com/resource"

## Response 400 fields (application/json):

  - `request_id` (string, required)
    A UUID that uniquely identifies the request id.
This can be given to the support team to help debug non-trivial issues that may occur
    Example: "aa3d8e8e-462b-4476-9618-72db7f7b7009"

  - `errors` (array, required)
    The errors associated with the failed API call

  - `errors.error_source` (string, required)
    The source of the error, as indicated by the name this informs us if the API call failed because of the
carrier, the order source, the ShipStation API itself, or the underlying ShipEngine platform.
    Enum: "carrier", "order_source", "ShipStation", "shipengine"

  - `errors.error_type` (string, required)
    The type of error
    Enum: "account_status", "business_rules", "validation", "security", "system", "integrations"

  - `errors.error_code` (string, required)
    The error code specified for the failed API Call
    Enum: "auto_fund_not_supported", "batch_cannot_be_modified", "carrier_conflict", "carrier_disconnected", "carrier_not_connected", "carrier_not_supported", "confirmation_not_supported", "default_warehouse_cannot_be_deleted", "field_conflict", "field_value_required", "forbidden", "identifier_conflict", "identifiers_must_match", "insufficient_funds", "invalid_address", "invalid_billing_plan", "invalid_field_value", "invalid_identifier", "invalid_status", "invalid_string_length", "label_images_not_supported", "meter_failure", "order_source_not_active", "rate_limit_exceeded", "refresh_not_supported", "request_body_required", "return_label_not_supported", "settings_not_supported", "subscription_inactive", "terms_not_accepted", "tracking_not_supported", "trial_expired", "unauthorized", "unknown", "unspecified", "verification_failure", "warehouse_conflict", "webhook_event_type_conflict", "customs_items_required", "incompatible_paired_labels", "invalid_charge_event", "invalid_object", "no_rates_returned"

  - `errors.message` (string, required)
    An error message associated with the failed API call
    Example: "Body of request cannot be null."

  - `errors.field_name` (string)
    The name of the field that caused the error (only present for validation errors)
    Example: "inventory_warehouse_id"

  - `errors.field_value` (string)
    The invalid value that was provided for the field (only present for validation errors)
    Example: "invalid-id"


